std::chrono::file_clock(3)

NAME
std::chrono::file_clock - std::chrono::file_clock

Synopsis
   Defined in header <chrono>
   using file_clock = /* see below */; (since C++20)
   std::chrono::file_clock is an alias for the clock used for
   std::filesystem::file_time_type. Its epoch is unspecified.
   file_clock meets the TrivialClock requirements.
  Time point family
   Defined in namespace std::chrono
   template<class Duration>
   using file_time = std::chrono::time_point<std::chrono::file_clock, (since C++20)
   Duration>;
   operator<<(std::chrono::file_time) performs stream output on a file_time
   (C++20) (function template)
   from_stream(std::chrono::file_time) parses a file_time from a stream according to
   (C++20) the provided format
                        (function template)
   std::formatter<std::chrono::file_time> specialization of std::formatter that formats
   (C++20) a file_time according to the provided format
                        (class template specialization)

Member types
   Member type Definition
   rep signed arithmetic type representing the number of ticks in the clock's
               duration
   period a std::ratio type representing the tick period of the clock, in seconds
   duration std::chrono::duration<rep, period>, capable of representing negative
               durations
   time_point std::chrono::time_point<std::chrono::file_clock>

Member constants
                        true if the time between ticks is always constant, i.e.
   constexpr bool is_steady calls to now() return values that increase monotonically
   [static] even in case of some external clock adjustment, otherwise
                        false
                        (public static member constant)

Member functions
   file_clock provides exactly one of the following two pairs of static member
   functions:
     * to_utc and from_utc; or
     * to_sys and from_sys.
   now returns a std::chrono::time_point representing the current point
   [static] in time
                       (public static member function)
   to_utc converts between file_time and utc_time
   from_utc (public static member function)
   [static] (optional)
   to_sys converts between file_time and sys_time
   from_sys (public static member function)
   [static] (optional)